Subject: Re: bug#73295: TeX font maps are not reproducible

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 16 Sep 2024 20:02:32 +0200

Hello,

Konrad Hinsen <[email-masked]> writes:

> The font maps generated during profile creation (procedure
> texlive-font-maps in guix/profiles.scm) are not reproducible: the order
> in which the files are listed in the ls-R file is not deterministic.

Unfortunately, I think there are other parts not reproducible in TeX
Live (e.g., formats).

> I suspect that the culprit is the mktexlsr utility which generates the
> non-deterministic ls-R files. It's worth exploring if it can be patched.

There is a sort option in the "mktexlsr" executable. It doesn't seem to
be accessible from the command line, tho. My Perl-fu is too weak to know
how to proceed from there.

Regards,
-- 
Nicolas Goaziou